curl -X PATCH "https://heimdall.qa.zoniqx.com/users/me" \
-H "Authorization: Bearer <accessToken>" \
-H "x-tenant-id: <your-tenant-id>" \
-H "Content-Type: application/json" \
-d '{
"fullName": "string",
"phoneNumber": "string",
"dateOfBirth": "2024-01-15",
"ssnLastFour": "string",
"digitalSignatureFileId": "string"
}'const response = await fetch("https://heimdall.qa.zoniqx.com/users/me", {
method: "PATCH",
headers: {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"fullName": "string",
"phoneNumber": "string",
"dateOfBirth": "2024-01-15",
"ssnLastFour": "string",
"digitalSignatureFileId": "string"
}),
});
const data = await response.json();type UsersController_updateMeResponse = Record<string, unknown>;
const response = await fetch("https://heimdall.qa.zoniqx.com/users/me", {
method: "PATCH",
headers: {
Authorization: "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"fullName": "string",
"phoneNumber": "string",
"dateOfBirth": "2024-01-15",
"ssnLastFour": "string",
"digitalSignatureFileId": "string"
}),
});
const data: UsersController_updateMeResponse = await response.json();import requests
url = "https://heimdall.qa.zoniqx.com/users/me"
headers = {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
}
payload = {
"fullName": "string",
"phoneNumber": "string",
"dateOfBirth": "2024-01-15",
"ssnLastFour": "string",
"digitalSignatureFileId": "string"
}
response = requests.patch(url, headers=headers, json=payload)
data = response.json()